## gtkdatabox_typedefs gtkdatabox_typedefs — GtkDatabox type definitions for cross reference. |

## Properties

GtkAdjustment * | adjustment-x | Read / Write / Construct
GtkAdjustment * | adjustment-y | Read / Write / Construct
guint | box-shadow | Read / Write
gboolean | enable-selection | Read / Write / Construct
gboolean | enable-zoom | Read / Write / Construct
GtkDataboxRuler * | ruler-x | Read / Write / Construct
GtkDataboxRuler * | ruler-y | Read / Write / Construct
GtkDataboxScaleType | scale-type-x | Read / Write / Construct
GtkDataboxScaleType | scale-type-y | Read / Write / Construct

## Signals

void | selection-canceled | Run First
void | selection-changed | Run First
void | selection-finalized | Run First
void | selection-started | Run First
void | zoomed | Run First

## Types and Values

| GtkDatabox
| GtkDataboxGraph

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDatabox

## Implemented Interfaces

GtkDatabox implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkdatabox_typedefs.h>

## Description

This file is just used to resolve cross reference in the implementation of the objects GtkDatabox and GtkDataboxGraph.

## Functions

## Types and Values

### GtkDatabox

    typedef struct _GtkDatabox GtkDatabox;

A GTK+ widget to display large amounts of numerical data quickly and easily. The numerical data is represented/displayed by GtkDataboxGraph objects, e.g. GtkDataboxPoints.

Implemented by _GtkDatabox;

`box` : the parent object

### GtkDataboxGraph

    typedef struct _GtkDataboxGraph GtkDataboxGraph;

Implemented by _GtkDataboxGraph

`parent` : the parent object

## Property Details

### The `“adjustment-x”` property

      “adjustment-x”             GtkAdjustment *

GtkAdjustment for horizontal scrolling.

Owner: GtkDatabox

Flags: Read / Write / Construct

### The `“adjustment-y”` property

      “adjustment-y”             GtkAdjustment *

GtkAdjustment for vertical scrolling.

Owner: GtkDatabox

Flags: Read / Write / Construct

### The `“box-shadow”` property

      “box-shadow”               guint

Style of the box shadow: GTK_SHADOW_NONE, GTK_SHADOW_IN, GTK_SHADOW_OUT, GTK_SHADOW_ETCHED_IN, GTK_SHADOW_ETCHED_OUT.

Owner: GtkDatabox

Flags: Read / Write

Allowed values: <= 4

Default value: 0

### The `“enable-selection”` property

      “enable-selection”         gboolean

Defines whether the user can select rectangular areas with the mouse (TRUE) or not (FALSE).

Owner: GtkDatabox

Flags: Read / Write / Construct

Default value: TRUE

### The `“enable-zoom”` property

      “enable-zoom”              gboolean

Defines whether the user can use the mouse to zoom in or out (TRUE) or not (FALSE).

Owner: GtkDatabox

Flags: Read / Write / Construct

Default value: TRUE

### The `“ruler-x”` property

      “ruler-x”                  GtkDataboxRuler *

A horizontal GtkDataboxRuler or NULL.

Owner: GtkDatabox

Flags: Read / Write / Construct

### The `“ruler-y”` property

      “ruler-y”                  GtkDataboxRuler *

A vertical GtkDataboxRuler or NULL.

Owner: GtkDatabox

Flags: Read / Write / Construct

### The `“scale-type-x”` property

      “scale-type-x”             GtkDataboxScaleType

Horizontal scale type (linear or logarithmic).

Owner: GtkDatabox

Flags: Read / Write / Construct

Default value: GTK_DATABOX_SCALE_LINEAR

### The `“scale-type-y”` property

      “scale-type-y”             GtkDataboxScaleType

Vertical scale type (linear or logarithmic).

Owner: GtkDatabox

Flags: Read / Write / Construct

Default value: GTK_DATABOX_SCALE_LINEAR

## Signal Details

### The `“selection-canceled”` signal

    void
    user_function (GtkDatabox *box,
                   gpointer    user_data)

This signal is emitted after a right click outside a selection rectangle.

#### Parameters

box | The GtkDatabox widget which zoomed in or out. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“selection-changed”` signal

    void
    user_function (GtkDatabox *box,
                   gpointer    selection_values,
                   gpointer    user_data)

This signal is emitted when the mouse is moved with the left button pressed (and the “enable-selection” property is set). The corners of the selection rectangle are stored in `selection_values` .

#### Parameters

box | The GtkDatabox widget in which the selection was changed. |
selection_values | The corners of the selection rectangle. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“selection-finalized”` signal

    void
    user_function (GtkDatabox *box,
                   gpointer    selection_values,
                   gpointer    user_data)

This signal is emitted when the left mouse button is released after a selection was started before.

`see_also` : “selection-changed”

#### Parameters

box | The GtkDatabox widget in which the selection has been stopped. |
selection_values | The corners of the selection rectangle. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“selection-started”` signal

    void
    user_function (GtkDatabox *box,
                   gpointer    selection_values,
                   gpointer    user_data)

This signal is emitted when the mouse is firstmoved with the left button pressed after the mouse-down (and the “enable-selection” property is set). The corners of the selection rectangle are stored in `selection_values` .

`see_also` : “selection-changed”

#### Parameters

box | The GtkDatabox widget in which the selection has been started. |
selection_values | The corners of the selection rectangle. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“zoomed”` signal

    void
    user_function (GtkDatabox *box,
                   gpointer    user_data)

This signal is emitted each time the zoom of the widget is changed, see for example `gtk_databox_zoom_to_selection()`, `gtk_databox_set_visible_limits()`.

#### Parameters

box | The GtkDatabox widget which zoomed in or out. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

GtkDatabox, GtkDataboxGraph